> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all teams for a company



## OpenAPI

````yaml get /teams
openapi: 3.0.0
info:
  description: Pleo.io API
  version: 0.0.1
  title: Pleo.io API
servers:
  - url: https://openapi.pleo.io/v1/
    description: Production
  - url: https://openapi.staging.pleo.io/v1/
    description: Staging
security:
  - BearerToken: []
tags: []
paths:
  /teams:
    get:
      tags:
        - Teams
      summary: Get all teams for a company
      operationId: getTeams
      parameters:
        - name: pageOffset
          in: query
          required: false
          schema:
            type: number
            example: '150'
          description: >-
            This is the pagination offset value. The record number you would
            like to start from. This offset value starts at 0.
        - name: pageSize
          in: query
          required: false
          schema:
            type: number
            example: '10'
            default: 25
          description: The number of teams to return for each page.
      responses:
        '200':
          description: Teams have been returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamsResponse'
        '401':
          description: request unauthorized
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultUnauthorizedResponse'
        '403':
          description: Request forbidden; user has insufficient rights to a resource.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultForbiddenResponse'
        '404':
          description: route not found
          content:
            application/json; charset=utf-8:
              schema:
                $ref: 196d6ca8-f8ae-41a9-be0f-35b819907206
        '500':
          description: >-
            Something went wrong. Please contact the administrator if problems
            persist.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: 68ac1580-8c8f-434e-91b5-872de502f542
      deprecated: true
components:
  schemas:
    TeamsResponse:
      type: object
      properties:
        teams:
          type: array
          description: A list of teams fetched for the requested page
          items:
            type: object
            properties:
              id:
                type: string
                description: The unique UUID identifier of the department
              name:
                type: string
                description: Name of the department
              code:
                type: string
                description: Code of the department
              employees:
                type: array
                description: Team employee
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: The unique UUID identifier of the employee
                    firstName:
                      type: string
                      description: Employee first name
                    lastName:
                      type: string
                      description: Employee last name
                    email:
                      type: string
                      description: Email
                    jobTitle:
                      type: string
                      description: Job title
                    role:
                      type: string
                      description: Role
                    phone:
                      type: string
                      description: Phone number
                    avatar:
                      type: object
                      properties:
                        url:
                          type: string
                          description: Employee avatar location
                    code:
                      type: string
                      description: External Id
                    teamId:
                      type: string
                      description: Team identifier
                  required:
                    - id
              reviewers:
                type: array
                description: Team reviewers
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: The unique UUID identifier of the employee
                    firstName:
                      type: string
                      description: Employee first name
                    lastName:
                      type: string
                      description: Employee last name
                    email:
                      type: string
                      description: Email
                    jobTitle:
                      type: string
                      description: Job title
                    role:
                      type: string
                      description: Role
                    phone:
                      type: string
                      description: Phone number
                    avatar:
                      type: object
                      properties:
                        url:
                          type: string
                          description: Employee avatar location
                    code:
                      type: string
                      description: External Id
                    teamId:
                      type: string
                      description: Team identifier
                  required:
                    - id
            required:
              - id
              - name
      required:
        - teams
    DefaultUnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
    DefaultForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      description: Open API Bearer token

````